/*\file InputConvergence.h
 * \brief: InputConvergence module include
 */

#ifndef _MEXINPUTCONVERGENCE_H_
#define _MEXINPUTCONVERGENCE_H_

/* local prototypes: */
void InputConvergenceUsage(void);

#include "../../c/modules/modules.h"
#include "../../c/Container/Container.h"
#include "../../c/shared/shared.h"

#undef __FUNCT__ 
#define __FUNCT__  "InputConvergence"

#undef ALL
#define ALL 0

/* serial input macros: */
#define ELEMENTS (mxArray*)prhs[0]
#define NODES (mxArray*)prhs[1]
#define VERTICES (mxArray*)prhs[2]
#define LOADS (mxArray*)prhs[3]
#define MATERIALS (mxArray*)prhs[4]
#define PARAMETERS (mxArray*)prhs[5]
#define FIELDENUMS (mxArray*)prhs[6]
#define CRITERIONENUMS (mxArray*)prhs[7]
#define CRITERIONVALUES (mxArray*)prhs[8]

/* serial output macros: */
#define CONVERGED (mxArray**)&plhs[0]
		
/* serial arg counts: */
#undef NLHS
#define NLHS  1
#undef NRHS
#define NRHS  9 

#endif  /* _MEXINPUTCONVERGENCE_H */
